org.apache.solr.schema

## Enum SchemaManager.OpType

- java.lang.Object
- - java.lang.Enum<SchemaManager.OpType>
  - - org.apache.solr.schema.SchemaManager.OpType

- All Implemented Interfaces:
    Serializable, Comparable<SchemaManager.OpType>
  Enclosing class:
    SchemaManager

      public static enum SchemaManager.OpType
      extends Enum<SchemaManager.OpType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD_COPY_FIELD`
    `ADD_DYNAMIC_FIELD`
    `ADD_FIELD`
    `ADD_FIELD_TYPE`
    `DELETE_COPY_FIELD`
    `DELETE_DYNAMIC_FIELD`
    `DELETE_FIELD`
    `DELETE_FIELD_TYPE`
    `REPLACE_DYNAMIC_FIELD`
    `REPLACE_FIELD`
    `REPLACE_FIELD_TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SchemaManager.OpType` | `get(String label)`
    `abstract boolean` | `perform(CommandOperation op, SchemaManager mgr)`
    `static SchemaManager.OpType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SchemaManager.OpType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADD_FIELD_TYPE

          public static final SchemaManager.OpType ADD_FIELD_TYPE

    - #### ADD_COPY_FIELD

          public static final SchemaManager.OpType ADD_COPY_FIELD

    - #### ADD_FIELD

          public static final SchemaManager.OpType ADD_FIELD

    - #### ADD_DYNAMIC_FIELD

          public static final SchemaManager.OpType ADD_DYNAMIC_FIELD

    - #### DELETE_FIELD_TYPE

          public static final SchemaManager.OpType DELETE_FIELD_TYPE

    - #### DELETE_COPY_FIELD

          public static final SchemaManager.OpType DELETE_COPY_FIELD

    - #### DELETE_FIELD

          public static final SchemaManager.OpType DELETE_FIELD

    - #### DELETE_DYNAMIC_FIELD

          public static final SchemaManager.OpType DELETE_DYNAMIC_FIELD

    - #### REPLACE_FIELD_TYPE

          public static final SchemaManager.OpType REPLACE_FIELD_TYPE

    - #### REPLACE_FIELD

          public static final SchemaManager.OpType REPLACE_FIELD

    - #### REPLACE_DYNAMIC_FIELD

          public static final SchemaManager.OpType REPLACE_DYNAMIC_FIELD

  - ### Method Detail

    - #### values

          public static SchemaManager.OpType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SchemaManager.OpType c : SchemaManager.OpType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SchemaManager.OpType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### perform

          public abstract boolean perform(CommandOperation op,
                                          SchemaManager mgr)

    - #### get

          public static SchemaManager.OpType get(String label)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.